Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
malloc_params Struct Reference

## Data Fields
size_t | magic
size_t | page_size
size_t | granularity
size_t | mmap_threshold
size_t | trim_threshold
flag_t | default_mflags

## Detailed Description

Definition at line 2100 of file dlmalloc.c.

## Field Documentation

## ◆ default_mflags

flag_t malloc_params::default_mflags

Definition at line 2106 of file dlmalloc.c.

## ◆ granularity

size_t malloc_params::granularity

Definition at line 2103 of file dlmalloc.c.

## ◆ magic

size_t malloc_params::magic

Definition at line 2101 of file dlmalloc.c.

## ◆ mmap_threshold

size_t malloc_params::mmap_threshold

Definition at line 2104 of file dlmalloc.c.

## ◆ page_size

size_t malloc_params::page_size

Definition at line 2102 of file dlmalloc.c.

## ◆ trim_threshold

size_t malloc_params::trim_threshold

Definition at line 2105 of file dlmalloc.c.

The documentation for this struct was generated from the following file:

- ext/fiddle/libffi-3.2.1/src/dlmalloc.c